Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class CombinedPlanChangeListener

    java.lang.Object
      ix.iplan.CombinedPlanChangeListener

All Implemented Interfaces:
  ProcessStatusListener, AgendaListener, java.util.EventListener

Direct Known Subclasses:
  IVarTool.ComboListener

    public abstract class CombinedPlanChangeListener

extends java.lang.Object
implements ProcessStatusListener, AgendaListener

Listens for changes in a process panel's current plan.

Constructor Summary
`CombinedPlanChangeListener()`

Method Summary
`void` | `connectYourself(Ip2 ip2)`
`protected abstract void` | `eventReceived(java.util.EventObject e)`
`void` | `itemAdded(AgendaEvent e, AgendaItem i)`
`void` | `itemHandled(AgendaEvent e, AgendaItem i, HandlerAction a)`
`void` | `itemRemoved(AgendaEvent e, AgendaItem i)`
`void` | `newBindings(AgendaEvent e, java.util.Map bindings)`
`void` | `newBindings(ProcessStatusEvent e, java.util.Map bindings)`
`void` | `setAgendaManager(AgendaManager am)`
`void` | `stateChange(ProcessStatusEvent e, java.util.Map delta)`
`void` | `stateDeletion(ProcessStatusEvent e, java.util.Map delta)`
`void` | `statusUpdate(ProcessStatusEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CombinedPlanChangeListener

    public CombinedPlanChangeListener()

Method Detail

### connectYourself

    public void connectYourself(Ip2 ip2)

### statusUpdate

    public void statusUpdate(ProcessStatusEvent e)

  Specified by:
    `statusUpdate` in interface `ProcessStatusListener`

### newBindings

    public void newBindings(ProcessStatusEvent e,
                            java.util.Map bindings)

  Specified by:
    `newBindings` in interface `ProcessStatusListener`

### stateChange

    public void stateChange(ProcessStatusEvent e,
                            java.util.Map delta)

  Specified by:
    `stateChange` in interface `ProcessStatusListener`

### stateDeletion

    public void stateDeletion(ProcessStatusEvent e,
                              java.util.Map delta)

  Specified by:
    `stateDeletion` in interface `ProcessStatusListener`

### setAgendaManager

    public void setAgendaManager(AgendaManager am)

  Specified by:
    `setAgendaManager` in interface `AgendaListener`

### itemAdded

    public void itemAdded(AgendaEvent e,
                          AgendaItem i)

  Specified by:
    `itemAdded` in interface `AgendaListener`

### itemRemoved

    public void itemRemoved(AgendaEvent e,
                            AgendaItem i)

  Specified by:
    `itemRemoved` in interface `AgendaListener`

### itemHandled

    public void itemHandled(AgendaEvent e,
                            AgendaItem i,
                            HandlerAction a)

  Specified by:
    `itemHandled` in interface `AgendaListener`

### newBindings

    public void newBindings(AgendaEvent e,
                            java.util.Map bindings)

  Specified by:
    `newBindings` in interface `AgendaListener`

### eventReceived

    protected abstract void eventReceived(java.util.EventObject e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD